<h1><%= _('Oauth Client Settings') %></h1>
<h3><%= _('Edit Provider') %></h3>

<%= form_for @provider, :url => {:action => 'edit', :id => @provider.id}, :method => 'post' do |f| %>

  <div class="enabled">
    <%= labelled_form_field f.check_box(:enabled) + _('Enabled'), '' %>
  </div>

  <div class="name">
    <%= labelled_form_field _('Name'), f.text_field(:name) %>
  </div>

  <div class="allow-password-access">
    <%= labelled_form_field f.check_box(:allow_password_access) + _('Allow password access'), '' %>
  </div>

  <div class="allow-email-change">
    <%= labelled_form_field f.check_box(:allow_email_change) + _('Allow email change'), '' %>
  </div>

  <div class="strategy">
    <%= labelled_form_field _('Strategy'), f.select(:strategy, OauthClientPlugin::PROVIDERS) %>
  </div>

  <div class="remember-enable-email hidden">
    <span class="error"><%=_('To use this provider you need to request the user email in your app')%></span>
  </div>

  <div class="client-id hidden">
    <%= labelled_form_field _('Client Id'), f.text_field(:client_id) %>
  </div>

  <div class="client-secret hidden">
    <%= labelled_form_field _('Client Secret'), f.text_field(:client_secret) %>
  </div>

  <div class="shibboleth-fields hidden">
      <%= labelled_form_field _('Full Name Attribute'), f.text_field(:name_field) %>
      <%= labelled_form_field _('E-mail Attribute'), f.text_field(:email_field) %>
  </div>

  <% if File.exists?(File.join(File.dirname(__FILE__), "_#{@provider.strategy}.html.erb")) %>
    <%= render :partial => "#{@provider.strategy}", :locals => {:f => f, :provider => @provider} %>
  <% end %>

  <div class="image-icon">
    <%= file_field_or_thumbnail(_('Image:'), @provider.image, 'provider[image_builder]') %><%= _("Max size: %s (.jpg, .gif, .png)")% Image.max_size.to_humanreadable %>
  </div>

  <%= button_bar do %>
    <%= submit_button(:save, _('Save'), :cancel => {:action => 'index'}) %>
  <% end %>
<% end %>
